# Build and install an AVI-->YUV converter
# By Scott Pakin <pakin@uiuc.edu>

Name:      avi2yuv
Version:   0.9.7
Release:   1
Summary:   Convert AVIs into the YUV format read by mpeg_encoder
Copyright: GPL
Vendor:    Scott Pakin <pakin@uiuc.edu>
Group:     Applications/Multimedia
BuildRoot: /var/tmp/%{name}-%{version}
Prefix:    /usr
Requires:  libjpeg-devel
Source0:   ftp://sunsite.unc.edu/pub/Linux/apps/graphics/convert/avi2yuv-0.9.7.tar.gz
# All we really need from the following is jinclude.h.
Source1:   ftp://ftp.uu.net/graphics/jpeg/jpegsrc.v6b.tar.gz

%description
avi2yuv converts MJPEG-AVI (or RAW 16,24 or 32 AVI, YVU9 or Y41P AVI)
movies to separate YUV files, which can be piped into the Berkeley MPEG
encoder (mpeg_encode).  avi2yuv can also save frames to individual YUV or
BMP files for use with a different encoder (but you'll need a lot of disk
space).  Finally, avi2yuv can extract audio into PCM or WAV files.

%prep
%setup
%setup -T -D -a 1

%build
make INCDIR=-Ijpeg-6b CFLAGS="${RPM_OPT_FLAGS}"

%install
install -d $RPM_BUILD_ROOT/usr/bin
make INSTDIR=$RPM_BUILD_ROOT/usr/bin install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
/usr/bin/avi2yuv
%doc README COPYING
%doc avi2yuv-0.9.7.lsm
%doc MPEG.avi2yuv avi2yuv.param patch.*

%changelog
* Sat Apr 22 2000 Scott Pakin <pakin@uiuc.edu>
- Initial version
